> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# アウトバウンドキャンペーンを作成

POST https://api.elevenlabs.io/v1/convai/outbound-campaigns/campaigns/submit
Content-Type: application/json

ポリシーの発信時間帯に、許可された再試行とフォローアップを行いながら、エージェントが各受信者へ電話またはメッセージを送るアウトバウンドキャンペーンを作成します。新しいキャンペーンの場合は`201`を返します。`idempotency_key`、または指定されていない場合はリクエスト本文が一致する重複リクエストでは、既存のキャンペーンを`created` がfalseの状態で返します。

Reference: https://elevenlabs.io/docs/api-reference/campaigns/create

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Body (application/json)

This endpoint expects a SubmitCampaignRequest.

- `call_name` (string, required) — キャンペーン名。
- `agent_id` (string, required) — 通話を発信するエージェント。
- `recipients` (list of SubmitCampaignRecipient, required) — 発信先。各受信者はキャンペーンのリードになります。
- `channel_config` (SubmitCampaignRequestChannelConfig, required)
- `scheduled_time_unix` (integer, optional, nullable) — 発信を開始する日時。省略すると今すぐ開始します。ただし、通話は次の発信可能時間帯まで待機します。
- `timezone` (string, optional, nullable) — 発信時間帯の解釈に使用するIANAタイムゾーン。ポリシーの設定を上書きします。
- `branch_id` (string, optional, nullable) — 通話に使用するエージェントブランチ。
- `environment` (string, optional, nullable) — エージェントの環境変数を解決する環境。
- `target_concurrency_limit` (integer, optional, nullable) — 同時に発信する最大通話数。
- `idempotency_key` (string, optional, nullable) — リクエストを安全に再試行できるようにします。同じキーで再度リクエストすると、そのキーで作成されたキャンペーンが返されます。
- `outcome` (SubmitCampaignRequestOutcome, optional, nullable) — キャンペーンの通話で成功と見なされる結果。
- `policy` (PolicyConfig-Input, optional, nullable) — キャンペーンにスナップショットとして保存するポリシー。設定すると、ワークスペースのデフォルトおよびエージェントごとのオーバーライドより優先されます。省略する場合はワークスペース設定が必要で、そこからポリシーが適用されます。
- `variant` (enum, optional, nullable) — `simple` は、常時有効な発信時間帯で受信者ごとに1回だけ発信し、データは収集しません。`policy` とは併用できません。`advanced` は`policy` またはワークスペース設定を使用し、電話キャンペーンのデフォルトです。
  - Allowed values: `simple`, `advanced`

## Response

### 200

成功レスポンス。

- `campaign` (CampaignResponse, required)
- `created` (boolean, required) — 以前のリクエストと重複し、そのキャンペーンが返された場合はfalseです。
- `within_calling_window` (boolean, required) — 次の発信可能時間帯を待たず、すぐに発信を開始するかどうか。

## Errors

### 422 Unprocessable Entity Error

検証エラー

- `detail` (list of ValidationError, optional)

## Types

### SubmitCampaignRecipient

- `phone_number` (string, optional, nullable) — 発信先の電話番号。`+14155550100`などのE.164形式です。
- `phone_numbers` (list of string, optional, nullable) — `phone_number` の後に順番に発信する追加の電話番号。現在の番号への通話が失敗し続けると、リードは次の番号へ移ります。
- `whatsapp_user_id` (string, optional, nullable) — 連絡先のWhatsAppユーザーID。WhatsAppキャンペーンでは、電話番号の代わりに使用します。
- `id` (string, optional, nullable) — 受信者に割り当てる識別子。対応するリードの `recipient_id` として返されます。
- `conversation_initiation_client_data` (ConversationInitiationClientDataRequest-Input, optional, nullable) — この受信者への通話に使用する動的変数とオーバーライド。

### SubmitCampaignRequestChannelConfig

- `channel`: `phone` (PhoneChannelConfig)
  - `agent_phone_number_id` (string, required) — 発信元の電話番号。
  - `mode_config` (PhoneVoiceConfig-Input, optional)
- `channel`: `whatsapp` (SubmitWhatsAppChannelConfig)
  - `mode_config` (SubmitWhatsAppChannelConfigModeConfig, required)
  - `whatsapp_phone_number_id` (string, required) — 通話またはメッセージの送信元となるWhatsApp電話番号。

### SubmitCampaignRequestOutcome

キャンペーンの通話で成功と見なされる結果。

- `type`: `data_collection` (DataCollectionOutcome)
  - `data_collection_id` (string, required) — 通話が成功したときに設定されるエージェントのデータ収集項目。
  - `equals` (list of CampaignResponseOutcomeDiscriminatorMappingDataCollectionEqualsItems, required) — 成功と見なされる値。すべて項目と同じ型である必要があります。
- `type`: `evaluation_criteria` (EvaluationCriterionOutcome)
  - `criteria_id` (string, required) — 通話が成功したときに満たされるエージェントの評価基準。

### PolicyConfig-Input

- `timezone` (string, optional, default: UTC) — 発信時間帯の解釈に使用するIANAタイムゾーン。
- `retry` (RetryPolicy, optional)
- `calling_periods` (list of CallingPeriod, optional) — 通話を発信できる曜日ごとの時間帯。
- `data_collection` (DataCollectionConfig, optional) — フォローアップ通話を制御するエージェントのデータ収集項目。各項目はデフォルトで 用途に応じた組み込み項目を使用し、`null`にすると無効になります。
- `followup_context` (FollowupContextPolicy, optional) — フォローアップ通話に渡される `campaign__` 動的変数。

### CampaignResponse

- `campaign_id` (string, required)
- `call_name` (string, required) — キャンペーン名。
- `agent_id` (string, required)
- `channel_config` (CampaignResponseChannelConfig, required)
- `status` (enum, required) — `attention` は、未解決の対応項目によってキャンペーンの一部の通話が保留され、残りは進行中であることを示します。`stopping` は、キュー内の通話がキャンセルされ、発信済みの通話が終了処理中であることを示します。
  - Allowed values: `active`, `paused`, `stopping`, `stopped`, `completed`, `failed`, `attention`
- `policy` (CampaignPolicySnapshot, required) — キャンペーン作成時に適用されたポリシー。
- `variant` (enum, required)
  - Allowed values: `simple`, `advanced`
- `source` (enum, required, nullable) — キャンペーンがアプリとAPIのどちらから作成されたか。
  - Allowed values: `ui`, `api`
- `outcome` (CampaignResponseOutcome, required, nullable) — キャンペーンの通話で成功と見なされる結果。
- `created_at_unix` (integer, required)
- `scheduled_time_unix` (integer, required, nullable) — キャンペーンが発信を開始する日時。未設定の場合は、作成後に開始します。
- `updated_at_unix` (integer, required)
- `branch_id` (string, required, nullable) — キャンペーンが通話に使用するエージェントブランチ。
- `environment` (string, required, nullable) — エージェントの環境変数を解決する環境。
- `target_concurrency_limit` (integer, required, nullable) — キャンペーンが同時に発信する最大通話数。
- `channel` (enum, required)
  - Allowed values: `phone`, `whatsapp`
- `mode` (enum, required)
  - Allowed values: `voice`, `message`
- `counts` (CampaignSummaryCounts, required)
- `agent_name` (string, required, default: )

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ConversationInitiationClientDataRequest-Input

- `conversation_config_override` (ConversationConfigClientOverride-Input, optional)
- `custom_llm_extra_body` (map from string to any, optional)
- `user_id` (string, optional, nullable) — この会話に参加するエンドユーザーのID（エージェントオーナーによるユーザー識別用）
- `source_info` (ConversationInitiationSourceInfo, optional) — 会話開始元に関する情報
- `branch_id` (string, optional, nullable) — この会話で使用するエージェントブランチのID
- `environment` (string, optional, nullable) — 環境変数の解決に使用する環境
- `starting_workflow_node_id` (string, optional, nullable) — 設定すると、デフォルトのエントリではなくこのノードIDからワークフローを開始します
- `procedure_ids` (list of string, optional, nullable) — 設定した場合、開始エージェントで利用できるのはこれらのプロシージャのみです。各IDはそのエージェントに紐付けられている必要があります。不明なIDがあると会話の開始に失敗します。空のリストは、そのエージェントのすべてのプロシージャを無効にします。エージェント転送後には適用されません。enable_procedure_ids_from_clientが必要です。
- `start_procedure_ids` (list of string, optional, nullable) — 設定すると、会話の開始時にこれらの自由形式の手順が開始されます。指定できるIDは最大5件です。各IDは、procedure_idsの適用後に利用可能である必要があります。不明なIDや構造化された手順が含まれる場合、会話の開始は失敗します。enable_procedure_ids_from_clientが必要です。
- `dynamic_variables` (map from string to any, optional)

### PhoneVoiceConfig-Input

- `ringing_timeout_secs` (integer, optional, default: 60) — 接続を諦めるまでに受信者を呼び出す時間（秒）です。プロバイダー独自の制約によっても制限されます。
- `twilio_call_recording_enabled` (boolean, optional, default: false) — Twilio通話録音を使用して通話を録音するかどうか。Twilio以外のプロバイダーでは無視されます。録音はTwilioアカウントに保存されます。
- `twilio_machine_detection` (TwilioMachineDetectionConfig, optional, nullable) — Twilioの通信事業者レベルの留守番電話検出（AMD）の設定です。省略するかnullに設定すると無効になります。Twilio以外のプロバイダーおよび着信通話では無視されます。検出結果は独自の`answering_machine_detection`Webhookイベントとして配信され、このイベントをワークスペースまたはエージェントのWebhook設定で有効にする必要があります。会話または通話後Webhookの一部ではありません。検出は非同期で実行されるため、会話の開始が遅延することはありません。結果は通話中の任意の時点で届く可能性があり、`detect_message_end`では通話終了後に届くこともあります。AMDにはTwilioから別途料金が請求されます。
- `mode` ("voice", optional, default: voice)

### SubmitWhatsAppChannelConfigModeConfig

- `mode`: `message` (SubmitWhatsAppMessageConfig)
  - `template` (SubmitWhatsAppTemplateRef, required) — 送信する承認済みMetaテンプレートの名前です。サーバーがテンプレート 自体を読み込むため、クライアントがそのコンポーネントを指定することはありません。
- `mode`: `voice` (WhatsAppVoiceConfig)
  - `whatsapp_call_permission_request_template_language_code` (string, required) — そのテンプレートの言語コード。
  - `whatsapp_call_permission_request_template_name` (string, required) — 連絡先に通話の許可を求める承認済みテンプレート。

### CampaignResponseOutcomeDiscriminatorMappingDataCollectionEqualsItems

- string
- integer
- double
- boolean

### RetryPolicy

- `retry_delay_seconds` (integer, optional, default: 600) — 短時間で再試行するまでの待機時間。
- `max_short_retries` (integer, optional, default: 1) — 通話に失敗した後、1つの発信時間帯内で許可される再試行回数。使い切ると、次の再試行は次回の発信時間帯まで待機し、その時間帯でカウントがリセットされます。
- `max_total_calls` (integer, optional, default: 6) — 初回を含め、1件のリードに発信する最大通話回数。
- `max_callbacks` (integer, optional, default: 2) — 1つの番号に対して受け付けるコールバックの最大回数。
- `max_redirects` (integer, optional, default: 2) — 別の番号への通話依頼に従う、リードごとの最大回数。
- `interval_placement` (enum, optional, default: start) — 延期された通話を後の発信可能時間帯のどこに設定するか。その時間帯の `start`、`random` な時刻、または同じ時間帯で前回の通話が失敗した時刻から `rotate_step_seconds` 後に `rotate` します。
  - Allowed values: `start`, `random`, `rotate`
- `rotate_step_seconds` (integer, optional, default: 900) — `rotate` 配置で通話ごとに移動する幅。`rotate` でのみ使用されます。
- `max_consecutive_failures_per_number` (integer, optional, nullable) — リードがリスト内の次の番号へ移るまで、または次の番号がなく終了するまでに、1つの番号への通話が連続して失敗できる回数です。通話への応答または新しい番号へのリダイレクトがあると、カウントはリセットされます。未設定の場合は`max_total_calls` のみが適用されます。

### CallingPeriod

- `weekdays` (list of integer, required) — 時間帯が適用される曜日。`0`（月曜日）から`6`（日曜日）までです。
- `intervals` (list of CallingIntervalPolicy, required) — 各曜日の時間帯。同じ曜日内で重複することはできません。

### DataCollectionConfig

フォローアップ通話を制御するエージェントのデータ収集項目。各項目はデフォルトで 用途に応じた組み込み項目を使用し、`null`にすると無効になります。

- `callback_time` (string, optional, nullable, default: __system_data_collection_callback_time) — 連絡先がコールバックを希望した日時を保持する項目。
- `redirect_phone_number` (string, optional, nullable, default: __system_data_collection_redirect_phone_number) — 連絡先が通話先として指定した別の番号を保持する項目。
- `stop` (string, optional, nullable, default: __system_data_collection_do_not_call) — 連絡先が今後の電話を拒否した場合にtrueになる項目。
- `mappings` (map from string to string, optional) — 後続の通話で使用できるよう、データ収集結果を動的変数にコピーします。各キーはデータ収集項目ID、値は変数名です。

### FollowupContextPolicy

フォローアップ通話に渡される `campaign__` 動的変数。

- `call_type` (boolean, optional, default: true) — 通話タイプを`campaign__call_type` として渡します。
- `previous_conversation_id` (boolean, optional, default: true) — 前回の会話IDを`campaign__previous_conversation_id` として渡します。
- `previous_summary` (boolean, optional, default: true) — 前回の会話の要約を`campaign__previous_summary` として渡します。
- `previous_transcript` (boolean, optional, default: true) — 前回の会話の文字起こしを`campaign__previous_transcript` として渡します。

### CampaignResponseChannelConfig

- `channel`: `phone` (PhoneChannelConfig)
  - `agent_phone_number_id` (string, required) — 発信元の電話番号。
  - `mode_config` (PhoneVoiceConfig-Output, optional)
- `channel`: `whatsapp` (WhatsAppChannelConfig)
  - `mode_config` (WhatsAppChannelConfigModeConfig, required)
  - `whatsapp_phone_number_id` (string, required) — 通話またはメッセージの送信元となるWhatsApp電話番号。

### CampaignPolicySnapshot

キャンペーン作成時に適用されたポリシー。送信された `policy` と同じ形式で示されます。

- `timezone` (string, required)
- `retry` (RetryPolicy, required)
- `calling_periods` (list of CallingPeriodPolicy, required)
- `data_collection` (DataCollectionPolicy, required)
- `followup_context` (FollowupContextPolicy, required) — フォローアップ通話に渡される `campaign__` 動的変数。

### CampaignResponseOutcome

キャンペーンの通話で成功と見なされる結果。

- `type`: `data_collection` (DataCollectionOutcome)
  - `data_collection_id` (string, required) — 通話が成功したときに設定されるエージェントのデータ収集項目。
  - `equals` (list of CampaignResponseOutcomeDiscriminatorMappingDataCollectionEqualsItems, required) — 成功と見なされる値。すべて項目と同じ型である必要があります。
- `type`: `evaluation_criteria` (EvaluationCriterionOutcome)
  - `criteria_id` (string, required) — 通話が成功したときに満たされるエージェントの評価基準。

### CampaignSummaryCounts

- `leads` (integer, required)
- `terminal_leads` (integer, required) — 今後電話しないリード。
- `open_attention` (integer, required) — 未解決の対応項目。
- `delivery` (RecipientDeliveryCounts, optional, nullable) — 各段階に到達したメッセージ数。メッセージキャンペーンを1件取得する際に設定されます。

### ValidationErrorLocItems

- string
- integer

### ConversationConfigClientOverride-Input

- `asr` (ASRConversationalConfigOverride, optional, nullable) — 会話用文字起こしの設定
- `turn` (TurnConfigOverride, optional, nullable) — ターン検出の設定
- `tts` (TTSConversationalConfigOverride, optional, nullable) — 会話用テキスト読み上げの設定
- `conversation` (ConversationConfigOverride, optional, nullable) — 会話イベントの設定
- `agent` (AgentConfigOverride-Input, optional, nullable) — エージェント固有の設定

### ConversationInitiationSourceInfo

会話開始元に関する情報

- `source` (enum, optional, nullable, default: unknown) — 会話開始元
  - Allowed values: `unknown`, `android_sdk`, `node_js_sdk`, `react_native_sdk`, `react_sdk`, `js_sdk`, `python_sdk`, `widget`, `sip_trunk`, `twilio`, `exotel`, `genesys`, `avaya`, `audiocodes`, `swift_sdk`, `whatsapp`, `twilio_sms`, `flutter_sdk`, `zendesk_integration`, `slack_integration`, `telegram_integration`, `intercom_integration`, `freshdesk_integration`, `salesforce_integration`, `template_preview`, `genesys_bot_connector`, `subagent_tool`
- `version` (string, optional, nullable) — SDKバージョン番号

### TwilioMachineDetectionConfig

通話でTwilioのキャリアレベル留守番電話検出（AMD）を実行する方法です。

- `mode` (enum, optional, default: enable) — 検出の詳細度を指定します。`enable`はTwilioが人間と機械を区別できた時点で判定を返します。`detect_message_end`はボイスメールの挨拶が終わるまで待機し、`machine_end_*`判定を生成しますが、結果の返却は遅くなります。
  - Allowed values: `enable`, `detect_message_end`
- `actions` (list of TwilioMachineDetectionRule, optional) — AMD判定ごとに通話で実行するアクション。各アクションは最大1つのルールにのみ指定できるため、該当するすべての判定をまとめて列挙してください。ルールのない判定では通話は継続します。

### SubmitWhatsAppTemplateRef

送信する承認済みMetaテンプレートの名前です。サーバーがテンプレート 自体を読み込むため、クライアントがそのコンポーネントを指定することはありません。

- `name` (string, required)
- `language` (string, required) — `en_US` など、テンプレートの言語コード。

### CallingIntervalPolicy

- `start` (string, required) — 現地時刻での開始時刻（`HH:MM`形式）。
- `end` (string, required) — 現地時刻での終了時刻（`HH:MM`形式）。`24:00`は深夜0時に終了します。

### PhoneVoiceConfig-Output

- `ringing_timeout_secs` (integer, optional, default: 60) — 接続を諦めるまでに受信者を呼び出す時間（秒）です。プロバイダー独自の制約によっても制限されます。
- `twilio_call_recording_enabled` (boolean, optional, default: false) — Twilio通話録音を使用して通話を録音するかどうか。Twilio以外のプロバイダーでは無視されます。録音はTwilioアカウントに保存されます。
- `twilio_machine_detection` (TwilioMachineDetectionConfig, optional, nullable) — Twilioの通信事業者レベルの留守番電話検出（AMD）の設定です。省略するかnullに設定すると無効になります。Twilio以外のプロバイダーおよび着信通話では無視されます。検出結果は独自の`answering_machine_detection`Webhookイベントとして配信され、このイベントをワークスペースまたはエージェントのWebhook設定で有効にする必要があります。会話または通話後Webhookの一部ではありません。検出は非同期で実行されるため、会話の開始が遅延することはありません。結果は通話中の任意の時点で届く可能性があり、`detect_message_end`では通話終了後に届くこともあります。AMDにはTwilioから別途料金が請求されます。
- `mode` ("voice", optional, default: voice)

### WhatsAppChannelConfigModeConfig

- `mode`: `message` (WhatsAppMessageConfig)
  - `template` (WhatsAppTemplate, required) — 送信時に承認されていた状態のMetaテンプレート。
- `mode`: `voice` (WhatsAppVoiceConfig)
  - `whatsapp_call_permission_request_template_language_code` (string, required) — そのテンプレートの言語コード。
  - `whatsapp_call_permission_request_template_name` (string, required) — 連絡先に通話の許可を求める承認済みテンプレート。

### CallingPeriodPolicy

- `weekdays` (list of integer, required)
- `intervals` (list of CallingIntervalPolicy, required) — 各曜日の時間帯。同じ曜日内で重複することはできません。

### DataCollectionPolicy

- `callback_time` (string, optional, nullable)
- `redirect_phone_number` (string, optional, nullable)
- `stop` (string, optional, nullable)
- `mappings` (map from string to string, optional) — 後続の通話で使用できるよう、データ収集結果を動的変数にコピーします。各キーはデータ収集項目ID、値は変数名です。

### RecipientDeliveryCounts

- `sent` (integer, optional, default: 0)
- `delivered` (integer, optional, default: 0)
- `read` (integer, optional, default: 0)
- `replied` (integer, optional, default: 0)
- `failed` (integer, optional, default: 0)

### ASRConversationalConfigOverride

- `keywords` (list of string, optional, nullable) — 予測確率を高めるキーワード

### TurnConfigOverride

- `soft_timeout_config` (SoftTimeoutConfigOverride, optional, nullable) — ソフトタイムアウト機能の設定です。長いLLMレスポンスの処理中に即時フィードバックを提供します。
- `noisy_environment_message` (string, optional, nullable) — 騒がしい環境を検出したときにエージェントが伝える内容です。

### TTSConversationalConfigOverride

- `model_id` (enum, optional, nullable, default: eleven_v4_turbo) — TTSに使用するモデル。
  - Allowed values: `eleven_turbo_v2`, `eleven_turbo_v2_5`, `eleven_flash_v2`, `eleven_flash_v2_5`, `eleven_multilingual_v2`, `eleven_v3_conversational`, `eleven_v4`, `eleven_v4_turbo`
- `voice_id` (string, optional, nullable) — TTSに使用する音声ID
- `supported_voices` (list of SupportedVoice, optional, nullable) — エージェントで追加対応する音声
- `stability` (double, optional, nullable) — 生成された音声の安定性
- `speed` (double, optional, nullable) — 生成された音声の速度
- `similarity_boost` (double, optional, nullable) — 生成された音声の類似性ブースト
- `pronunciation_dictionary_locators` (list of PydanticPronunciationDictionaryVersionLocator, optional, nullable) — 発音辞書ロケーター

### ConversationConfigOverride

- `text_only` (boolean, optional, nullable) — 有効にするとオーディオは処理されず、テキストのみが使用されます。オーディオ料金を回避するために使用します。
- `max_duration_seconds` (integer, optional, nullable) — 会話の最大時間（秒）。

### AgentConfigOverride-Input

- `first_message` (string, optional, nullable) — 空でない場合、エージェントが最初に発するメッセージです。空の場合、エージェントはユーザーが会話を開始するのを待ちます。
- `language` (string, optional, nullable) — エージェントの言語（ASRおよびTTSで使用）
- `max_conversation_duration_message` (string, optional, nullable) — 空でない場合、会話の最大時間に達したときにエージェントが送信するメッセージです。
- `prompt` (PromptAgentAPIModelOverride-Input, optional, nullable) — エージェント用のプロンプト

### TwilioMachineDetectionRule

指定されたAMD判定に対して進行中の通話で実行するアクション。

- `action` (enum, required)
  - Allowed values: `hang_up`
- `answered_by` (list of enum, required) — アクションをトリガーする判定。
  - Allowed values: `human`, `fax`, `unknown`, `machine_start`, `machine_end_beep`, `machine_end_silence`, `machine_end_other`

### WhatsAppTemplate

- `name` (string, required)
- `language` (string, required) — https://developers.facebook.com/documentation/business-messaging/whatsapp/templates/supported-languages
- `components` (list of WhatsAppTemplateComponent, required)
- `parameter_format` (enum, optional, default: POSITIONAL)
  - Allowed values: `POSITIONAL`, `NAMED`
- `category` (string, optional, nullable) — https://developers.facebook.com/docs/graph-api/reference/whats-app-business-account/message_templates/

### SoftTimeoutConfigOverride

- `message` (string, optional, nullable) — LLM応答の待機中に最初のソフトタイムアウトに達したときに表示するメッセージ。動的変数（例：\{\{system\_\_time}}、\{\{custom\_variable}}）に対応しています。
- `additional_soft_timeout_messages` (list of string, optional, nullable) — 同じLLM生成内で後続のソフトタイムアウト時に使用する追加の固定フィラーメッセージです。最初のタイムアウトでは`message`を使用します。設定されているメッセージ数が`max_soft_timeouts_per_generation`より少ない場合は、最後に設定されたメッセージを繰り返します。それ以外の場合は、組み込みのフィラーを使用します。

### SupportedVoice

- `label` (string, required)
- `voice_id` (string, required)
- `description` (string, optional, nullable)
- `language` (string, optional, nullable)
- `model_family` (enum, optional, nullable)
  - Allowed values: `turbo`, `flash`, `multilingual`, `v3_conversational`, `v4`, `v4_turbo`
- `optimize_streaming_latency` (enum, optional, nullable)
  - Allowed values: `0`, `1`, `2`, `3`, `4`
- `stability` (double, optional, nullable)
- `speed` (double, optional, nullable)
- `similarity_boost` (double, optional, nullable)

### PydanticPronunciationDictionaryVersionLocator

他のドキュメントが特定の辞書とそのバージョンを参照できるようにするロケーターです。 これはPronunciationDictionaryVersionLocatorDBModelのPydanticバージョンです。 他のエージェントデータモデルとの互換性を確保するために必要です。

- `pronunciation_dictionary_id` (string, required) — 発音辞書のID
- `version_id` (string, required, nullable) — 発音辞書バージョンのID

### PromptAgentAPIModelOverride-Input

- `prompt` (string, optional, nullable) — エージェント用のプロンプト
- `llm` (enum, optional, nullable) — プロンプトとチャット履歴を使用してクエリするLLM。データレジデンシーを使用する場合、LLMはデータレジデンシー環境でサポートされている必要があります。
  - Allowed values: `gpt-4o-mini`, `gpt-4o`, `gpt-4`, `gpt-4-turbo`, `gpt-4.1`, `gpt-4.1-mini`, `gpt-4.1-nano`, `gpt-5`, `gpt-5.1`, `gpt-5.2`, `gpt-5.2-chat-latest`, `gpt-5.4`, `gpt-5.4-mini`, `gpt-5.4-nano`, `gpt-5.5`, `gpt-5.6-sol`, `gpt-5.6-terra`, `gpt-5.6-luna`, `gpt-6-astra`, `gpt-6-sol`, `gpt-6-luna`, `gpt-6.1-sol`, `gpt-6.1-terra`, `gpt-5-mini`, `gpt-5-nano`, `gpt-3.5-turbo`, `gemini-1.5-pro`, `gemini-1.5-flash`, `gemini-2.0-flash`, `gemini-2.0-flash-lite`, `gemini-2.5-flash-lite`, `gemini-2.5-flash`, `gemini-3-pro-preview`, `gemini-3-flash-preview`, `gemini-3.1-pro-preview`, `gemini-3.1-flash-lite-preview`, `gemini-3.1-flash-lite`, `gemini-3.5-flash`, `gemini-3.5-flash-lite`, `gemini-3.6-flash`, `gemini-3.7-flash`, `gemini-3.8-flash`, `gemini-4-argon`, `claude-sonnet-4-5`, `claude-opus-4-6`, `claude-opus-4-7`, `claude-opus-4-8`, `claude-opus-5`, `claude-opus-5-5`, `claude-sonnet-4-6`, `claude-sonnet-5`, `claude-sonnet-5-5`, `claude-sonnet-4`, `claude-haiku-4-5`, `claude-haiku-5-5`, `claude-3-7-sonnet`, `claude-3-5-sonnet`, `claude-3-5-sonnet-v1`, `claude-3-haiku`, `grok-beta`, `custom-llm`, `qwen3-4b`, `qwen3-30b-a3b`, `qwen36-35b-a3b`, `qwen35-397b-a17b`, `gpt-oss-20b`, `gpt-oss-120b`, `glm-45-air-fp8`, `glm-52`, `deepseek-v41-flash`, `nemotron-35-super-vl-nvfp4`, `gemini-2.5-flash-preview-09-2025`, `gemini-2.5-flash-lite-preview-09-2025`, `gemini-2.5-flash-preview-05-20`, `gemini-2.5-flash-preview-04-17`, `gemini-2.5-flash-lite-preview-06-17`, `gemini-2.0-flash-lite-001`, `gemini-2.0-flash-001`, `gemini-1.5-flash-002`, `gemini-1.5-flash-001`, `gemini-1.5-pro-002`, `gemini-1.5-pro-001`, `claude-sonnet-4@20250514`, `claude-sonnet-4-5@20250929`, `claude-haiku-4-5@20251001`, `claude-3-7-sonnet@20250219`, `claude-3-5-sonnet@20240620`, `claude-3-5-sonnet-v2@20241022`, `claude-3-haiku@20240307`, `gpt-5-2025-08-07`, `gpt-5.1-2025-11-13`, `gpt-5.2-2025-12-11`, `gpt-5.4-2026-03-05`, `gpt-5.4-mini-2026-03-17`, `gpt-5.4-nano-2026-03-17`, `gpt-5.5-2026-04-23`, `gpt-5-mini-2025-08-07`, `gpt-5-nano-2025-08-07`, `gpt-4.1-2025-04-14`, `gpt-4.1-mini-2025-04-14`, `gpt-4.1-nano-2025-04-14`, `gpt-4o-mini-2024-07-18`, `gpt-4o-2024-11-20`, `gpt-4o-2024-08-06`, `gpt-4o-2024-05-13`, `gpt-4-0613`, `gpt-4-0314`, `gpt-4-turbo-2024-04-09`, `gpt-3.5-turbo-0125`, `gpt-3.5-turbo-1106`, `watt-tool-8b`, `watt-tool-70b`
- `tool_ids` (list of string, optional, nullable) — エージェントが使用するツールIDのリストです。
- `tool_ids_strict` (boolean, optional, nullable) — 会話のオーバーライドとしてのみ適用され、tool_idsのオーバーライドが許可される場合に使用できます。trueの場合、オーバーライドされたtool_idsは、ワークフローノード上のツールを含む、その会話で許可されるツールの完全な一覧です。エージェントに設定した場合は無視されます。
- `native_mcp_server_ids` (list of string, optional, nullable) — エージェントが使用するネイティブMCPサーバーIDの一覧
- `knowledge_base` (list of KnowledgeBaseLocator, optional, nullable) — エージェントが使用するナレッジベースの一覧

### WhatsAppTemplateComponent

- `type` (string, required)
- `format` (string, optional, nullable)
- `text` (string, optional, nullable)
- `buttons` (list of WhatsAppTemplateComponentButton, optional, nullable)

### KnowledgeBaseLocator

- `type` (enum, required) — ナレッジベースのタイプ
  - Allowed values: `file`, `url`, `text`, `folder`
- `name` (string, required) — ナレッジベースの名前。
- `id` (string, required) — ナレッジベースのID
- `usage_mode` (enum, optional, default: auto) — ナレッジベースの使用モード
  - Allowed values: `prompt`, `auto`

### WhatsAppTemplateComponentButton

- `type` (string, required)
- `text` (string, optional, nullable)
- `url` (string, optional, nullable)

## Examples

**Request**

```json
{
  "call_name": "string",
  "agent_id": "string",
  "recipients": [
    {}
  ],
  "channel_config": {
    "agent_phone_number_id": "string"
  }
}
```

**Response**

```json
{
  "campaign": {
    "campaign_id": "string",
    "call_name": "string",
    "agent_id": "string",
    "channel_config": {
      "channel": "phone",
      "agent_phone_number_id": "string",
      "mode_config": {
        "ringing_timeout_secs": 60,
        "twilio_call_recording_enabled": false,
        "twilio_machine_detection": {
          "mode": "enable",
          "actions": [
            {
              "action": "hang_up",
              "answered_by": [
                "human"
              ]
            }
          ]
        },
        "mode": "voice"
      }
    },
    "status": "active",
    "policy": {
      "timezone": "string",
      "retry": {
        "retry_delay_seconds": 600,
        "max_short_retries": 1,
        "max_total_calls": 6,
        "max_callbacks": 2,
        "max_redirects": 2,
        "interval_placement": "start",
        "rotate_step_seconds": 900,
        "max_consecutive_failures_per_number": 1
      },
      "calling_periods": [
        {
          "weekdays": [
            1
          ],
          "intervals": [
            {
              "start": "string",
              "end": "string"
            }
          ]
        }
      ],
      "data_collection": {
        "callback_time": "string",
        "redirect_phone_number": "string",
        "stop": "string",
        "mappings": {}
      },
      "followup_context": {
        "call_type": true,
        "previous_conversation_id": true,
        "previous_summary": true,
        "previous_transcript": true
      }
    },
    "variant": "simple",
    "source": "ui",
    "outcome": {
      "type": "evaluation_criteria",
      "criteria_id": "string"
    },
    "created_at_unix": 1,
    "scheduled_time_unix": 1,
    "updated_at_unix": 1,
    "branch_id": "string",
    "environment": "string",
    "target_concurrency_limit": 1,
    "channel": "phone",
    "mode": "voice",
    "counts": {
      "leads": 1,
      "terminal_leads": 1,
      "open_attention": 1,
      "delivery": {
        "sent": 0,
        "delivered": 0,
        "read": 0,
        "replied": 0,
        "failed": 0
      }
    },
    "agent_name": ""
  },
  "created": true,
  "within_calling_window": true
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/outbound-campaigns/campaigns/submit"

payload = {
    "call_name": "string",
    "agent_id": "string",
    "recipients": [{}],
    "channel_config": { "agent_phone_number_id": "string" }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/outbound-campaigns/campaigns/submit';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"call_name":"string","agent_id":"string","recipients":[{}],"channel_config":{"agent_phone_number_id":"string"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/outbound-campaigns/campaigns/submit"

	payload := strings.NewReader("{\n  \"call_name\": \"string\",\n  \"agent_id\": \"string\",\n  \"recipients\": [\n    {}\n  ],\n  \"channel_config\": {\n    \"agent_phone_number_id\": \"string\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/outbound-campaigns/campaigns/submit")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"call_name\": \"string\",\n  \"agent_id\": \"string\",\n  \"recipients\": [\n    {}\n  ],\n  \"channel_config\": {\n    \"agent_phone_number_id\": \"string\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/convai/outbound-campaigns/campaigns/submit")
  .header("Content-Type", "application/json")
  .body("{\n  \"call_name\": \"string\",\n  \"agent_id\": \"string\",\n  \"recipients\": [\n    {}\n  ],\n  \"channel_config\": {\n    \"agent_phone_number_id\": \"string\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/convai/outbound-campaigns/campaigns/submit', [
  'body' => '{
  "call_name": "string",
  "agent_id": "string",
  "recipients": [
    {}
  ],
  "channel_config": {
    "agent_phone_number_id": "string"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/outbound-campaigns/campaigns/submit");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"call_name\": \"string\",\n  \"agent_id\": \"string\",\n  \"recipients\": [\n    {}\n  ],\n  \"channel_config\": {\n    \"agent_phone_number_id\": \"string\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "call_name": "string",
  "agent_id": "string",
  "recipients": [[]],
  "channel_config": ["agent_phone_number_id": "string"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/outbound-campaigns/campaigns/submit")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```